com.google.protobuf

## Interface DescriptorProtos.UninterpretedOption.NamePartOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.UninterpretedOption.NamePart, DescriptorProtos.UninterpretedOption.NamePart.Builder
  Enclosing class:
    DescriptorProtos.UninterpretedOption

      public static interface DescriptorProtos.UninterpretedOption.NamePartOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getIsExtension()` `required bool is_extension = 2;`
    `java.lang.String` | `getNamePart()` `required string name_part = 1;`
    `ByteString` | `getNamePartBytes()` `required string name_part = 1;`
    `boolean` | `hasIsExtension()` `required bool is_extension = 2;`
    `boolean` | `hasNamePart()` `required string name_part = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNamePart

          boolean hasNamePart()

      `required string name_part = 1;`

    - #### getNamePart

          java.lang.String getNamePart()

      `required string name_part = 1;`

    - #### getNamePartBytes

          ByteString getNamePartBytes()

      `required string name_part = 1;`

    - #### hasIsExtension

          boolean hasIsExtension()

      `required bool is_extension = 2;`

    - #### getIsExtension

          boolean getIsExtension()

      `required bool is_extension = 2;`